# TdApi.NetworkType

Package it.ernytech.tdlib

## Class TdApi.NetworkType

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.NetworkType

Direct Known Subclasses:
  `TdApi.NetworkTypeMobile`, `TdApi.NetworkTypeMobileRoaming`, `TdApi.NetworkTypeNone`, `TdApi.NetworkTypeOther`, `TdApi.NetworkTypeWiFi`

Enclosing class:
  TdApi

    public abstract static class TdApi.NetworkType
    extends TdApi.Object

This class is an abstract base class. Represents the type of a network.

### Constructor Summary

Constructors
`NetworkType()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### NetworkType

    public NetworkType()